For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Reference
    • Introduction
      • GETRetrieve Dispute
      • GETReceive Dispute
      • POSTRespond to Dispute
      • GETAccept Dispute
      • POSTUpload File
      • GETRetrieve file
LogoLogo
ReferenceDisputes

Upload File

POST
/v2/disputes/files
POST
/v2/disputes/files
$curl -X POST https://global-api-sandbox.afterpay.com/v2/disputes/files \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "file": null,
> "fileType": "string"
>}'
1{
2 "id": "fi_7wvZBQqWzoPGLxvaMkpTjX",
3 "createdAt": "2023-08-18T02:05:23.121893",
4 "expiresAt": "2023-08-18T02:05:23.121893"
5}
Use this endpoint to upload files for disputes.
Was this page helpful?
Previous

Retrieve file

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

User-AgentstringRequired
AcceptstringOptional

application/json

Request

This endpoint expects an object.
fileanyRequired
The file you want to upload.
fileTypestringRequired

The type of file. Only dispute_evidence is supported.

Response

Indicates a successful file upload.
idstring
The ID token of the file.
createdAtstringformat: "date-time"
The timestamp indicating when the file was uploaded.
expiresAtstringformat: "date-time"
The timestamp indicating when the uploaded file expires.